package com.mortals.xhx.module.window.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowOwnerDetailVo;
import lombok.Data;
/**
* 窗口负责人详细实体对象
*
* @author zxfei
* @date 2023-07-12
*/
@Data
public class WindowOwnerDetailEntity extends WindowOwnerDetailVo {
    private static final long serialVersionUID = 1L;

    /**
    * 负责人Id
    */
    private Long ownerId;
    /**
    * 员工id号
    */
    private Long staffId;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowOwnerDetailEntity) {
            WindowOwnerDetailEntity tmp = (WindowOwnerDetailEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.ownerId = 0L;

            this.staffId = 0L;

            this.remark = "";
    }
}